const express = require("express");
const config = require("config");

const app = express();
app.use(express.json({ extended: false }));

const routes = require("./routes/routes");

app.get("/", routes.health);
app.post("/send", routes.send);

// driver code
const port = config.get("app_port");
app.listen(port, () => {
  console.log(`Service endpoint http://localhost:${port}`);
});
